# Sip (alternative)
CLI for interacting with Gitea

### Features

Understands the concepts of an origin vs remote repository.  
By default uses remotes `origin` and `upstream`.  
If no `upstream` repository is found, `upstream` becomes synonymous with `origin` for the sake of defaults.

* Configuration `sip config`
  * Change the default `origin` remote name `sip config origin`
  * Change the default `upstream` remote name `sip config upstrea`
* Tokens `sip tokens`
  * List current available access tokens
  * Generate a new token from CLI `sip token create <token>`
    * If `<token>` is present, add new access token, otherwise...
    * Authenticate with username/password to get a new token without leaving the terminal
  * Remove access tokens `sip tokens remove`
* Repository status `sip repo`
  * Get basic information about the `upstream` repository
* Issue search `sip issues`
  * Search issues based on keyword(s)
  * Create a new issue `sip issues create`
* Pull request search `sip pulls`
  * Search pull requests based on keyword(s)
  * Create a new pull request `sip pulls create`
  * Check pull request status (default based on current branch) `sip pulls status`
  * Checkout a pull request to test locally `sip pulls checkout`