package sdk

import (
	"code.gitea.io/sdk/gitea"
)

// GetIssues returns all matching Issues from a Gitea instance
func GetIssues(client *gitea.Client, owner, repo string, opts gitea.ListIssueOption) ([]*gitea.Issue, error) {
	issues := make([]*gitea.Issue, 0)
	p := 1
	for {
		opts.Page = p
		list, err := client.ListRepoIssues(owner, repo, opts)
		if err != nil {
			return issues, err
		}
		p++
		issues = append(issues, list...)

		if len(list) == 0 {
			break
		}
	}
	return issues, nil
}
